Runtime

## org.eclipse.gmf.runtime.diagram.core.commands
Class SetConnectionAnchorsCommand

    java.lang.Object
      org.eclipse.core.commands.operations.AbstractOperation
          org.eclipse.emf.workspace.AbstractEMFOperation
              org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
                  org.eclipse.gmf.runtime.diagram.core.commands.SetConnectionAnchorsCommand

All Implemented Interfaces:
  IUndoableOperation, ICommand, org.eclipse.gmf.runtime.common.core.internal.command.ICommandWithSettableResult

    public class SetConnectionAnchorsCommand

extends AbstractTransactionalCommand

Sets a connections end points.

Constructor Summary
`SetConnectionAnchorsCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, java.lang.String label)` constructor

Method Summary
`protected CommandResult` `doExecuteWithResult(IProgressMonitor progressMonitor, IAdaptable info)` Implemented by subclasses to perform the model changes.
`java.util.List` `getAffectedFiles()` Returns the `IFile`s for resources that may be modified when the operation is executed, undone or redone.
`IAdaptable` `getEdgeAdaptor()` gets the edge adaptor.
`java.lang.String` `getNewSourceTerminal()` gets for the new source terminal.
`java.lang.String` `getNewTargetTerminal()` gets for the new target terminal.
`void` `setEdgeAdaptor(IAdaptable edgeAdaptor)` Sets the edge adaptor.
`void` `setNewSourceTerminal(java.lang.String newSourceTerminal)` Sets the new source terminal.
`void` `setNewTargetTerminal(java.lang.String newTargetTerminal)` Sets the new target terminal.

Methods inherited from class org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand
`aggregateStatuses, cleanup, compose, didRedo, didUndo, doExecute, doRedo, doUndo, getCommandResult, getWorkspaceFiles, getWorkspaceFiles, internalSetResult, reduce, setResult`

Methods inherited from class org.eclipse.emf.workspace.AbstractEMFOperation
`canRedo, canSetOptions, canUndo, didCommit, dispose, execute, getChange, getEditingDomain, getOptions, isReuseParentTransaction, redo, setOptions, setReuseParentTransaction, undo`

Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation
`addContext, canExecute, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.command.ICommand
`setLabel`

Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation
`addContext, canExecute, canRedo, canUndo, dispose, execute, getContexts, getLabel, hasContext, redo, removeContext, undo`

Constructor Detail

### SetConnectionAnchorsCommand

    public SetConnectionAnchorsCommand(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                                       java.lang.String label)

  constructor

  Parameters:
    `editingDomain` - the editing domain through which model changes are made
    `label` - the command label

Method Detail

### getAffectedFiles

    public java.util.List getAffectedFiles()

  Description copied from class: `AbstractTransactionalCommand`
  Returns the `IFile`s for resources that may be modified when the operation is executed, undone or redone.

  Specified by:
    `getAffectedFiles` in interface `ICommand`
  Overrides:
    `getAffectedFiles` in class `AbstractTransactionalCommand`
  Returns:
    the list of `IFile`s that will be modified

### getEdgeAdaptor

    public IAdaptable getEdgeAdaptor()

  gets the edge adaptor.

  Returns:
    IAdaptable the edge adapter

### getNewSourceTerminal

    public java.lang.String getNewSourceTerminal()

  gets for the new source terminal.

  Returns:
    String the newSourceTerminal.

### getNewTargetTerminal

    public java.lang.String getNewTargetTerminal()

  gets for the new target terminal.

  Returns:
    String the newTargetTerminal

### setEdgeAdaptor

    public void setEdgeAdaptor(IAdaptable edgeAdaptor)

  Sets the edge adaptor.

  Parameters:
    `edgeAdaptor` - The edgeAdaptor to set

### setNewSourceTerminal

    public void setNewSourceTerminal(java.lang.String newSourceTerminal)

  Sets the new source terminal.

  Parameters:
    `newSourceTerminal` - The new source terminal to set

### setNewTargetTerminal

    public void setNewTargetTerminal(java.lang.String newTargetTerminal)

  Sets the new target terminal.

  Parameters:
    `newTargetTerminal` - The new target terminal to set

### doExecuteWithResult

    protected CommandResult doExecuteWithResult(IProgressMonitor progressMonitor,
                                                IAdaptable info)
                                         throws ExecutionException

  Description copied from class: `AbstractTransactionalCommand`
  Implemented by subclasses to perform the model changes. These changes are applied by manipulation of the EMF metamodel's API, not by executing commands on the editing domain's command stack.

  Specified by:
    `doExecuteWithResult` in class `AbstractTransactionalCommand`
  Parameters:
    `progressMonitor` - the progress monitor provided by the operation history
    `info` - the adaptable provided by the operation history
  Returns:
    the result of the execution
  Throws:
    `ExecutionException` - if, for some reason, I fail to complete the operation

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.